## org.apache.tools.ant.types
Class Reference

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Reference

Direct Known Subclasses:
  Ant.Reference

public class Reference
extends java.lang.Object

Class to hold a reference to another object in the project.

Author:
  Stefan Bodewig

Constructor Summary
`Reference()`
`Reference(java.lang.String id)`

Method Summary
`java.lang.Object` `getReferencedObject(Project project)`
`java.lang.String` `getRefId()`
`void` `setRefId(java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reference

    public Reference()

### Reference

    public Reference(java.lang.String id)

Method Detail

### setRefId

    public void setRefId(java.lang.String id)

### getRefId

    public java.lang.String getRefId()

### getReferencedObject

    public java.lang.Object getReferencedObject(Project project)
                                         throws BuildException

    `BuildException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.